USE [Udit.Mms]
GO

/****** Object:  View [dbo].[REEL_lIST]    Script Date: 2023/9/1 12:20:34 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO







CREATE view [dbo].[REEL_lIST]
AS
--⡢깤⡢--
select 
	br.reel_barcode as 'reel_barcode',
	b.BillNo  as 'billNo',
	b.BillTypeName  as 'type',
	br.quantity as 'quantity',
	br.create_time  as 'create_time',
	r.MATERIAL_NO as 'material_no',
	r.SPECIFICATION as'speification',
	r.DESCRIPTION as'descripton',
	r.DATECODE as 'datecode',
	r.LOT_NO as 'lot_no',
	b.DoPerson as 'create_user',
	bd.Warehouse as 'warehouse',
	remark=''
from mms_billsreel (nolock) as br
left join mms_bills(nolock) as b on br.BillNo = b.BillNo  
left join mms_reels(nolock) as r on br.reel_barcode = r.reel_barcode
left join mms_billsDetail(nolock) as bd  on br.BillNo=bd.BillNo and br.RowId = bd.Rowid
where  (br.reel_barcode !=null or  br.reel_barcode != '')
union all
----
select 
	tr.reel_barcode as 'reel_barcode',   
	t.BillNo  as 'billNo',
	type ='',
	tr.Qty as 'quantity',
	tr.Scantime  as 'create_time',
	r.MATERIAL_NO as 'material_no',
	r.SPECIFICATION as'speification',
	r.DESCRIPTION as'descripton',
	r.DATECODE as 'datecode',
	r.LOT_NO as 'lot_no',
	t.DoPerson as 'create_user',
	td.WarehouseCode as 'warehouse',
	td.InWarehouseCode as 'remark'
from mms_transferReels(nolock) as tr
left join mms_transfer(nolock) as t on tr.BillNo = t.BillNo  
left join mms_reels(nolock) as r on tr.reel_barcode = r.reel_barcode
left join mms_transferDetail(nolock) as td  on tr.BillNo=td.BillNo and tr.RowId = td.Rowid
where (tr.reel_barcode !=null or  tr.reel_barcode != '')
union all
----
select 
	rr.reel_barcode as 'reel_barcode',
	re.BillNo  as 'billNo',
	type ='',
	rr.Qty as 'quantity',
	red.CreateDate  as 'create_time',
	r.MATERIAL_NO as 'material_no',
	r.SPECIFICATION as'speification',
	r.DESCRIPTION as'descripton',
	r.DATECODE as 'datecode',
	r.LOT_NO as 'lot_no',
	re.DoPerson as 'create_user',
	re.WarehouseCode as 'warehouse',
	remark= re.SupplierCode
from mms_receiveReels(nolock) as rr
 join mms_receive(nolock) as re on rr.BillNo = re.BillNo 
join mms_reels(nolock) as r on rr.reel_barcode = r.reel_barcode
 join mms_receiveDetail(nolock) as red  on rr.BillNo=red.BillNo and rr.RowId = red.Rowid
where (rr.reel_barcode !=null or rr.reel_barcode != '')
union all
----
select
	pr.ReelBarcode as 'reel_barcode',
	p.ContractCode  as 'billNo',
	type ='',
	pr.num as 'quantity',
	pr.CreateTime  as 'create_time',
	r.MATERIAL_NO as 'material_no',
	r.SPECIFICATION as'speification',
	r.DESCRIPTION as'descripton',
	r.DATECODE as 'datecode',
	r.LOT_NO as 'lot_no',
	p.DoPerson as 'create_user',
	pd.WarehouseCode as 'warehouse',
	remark=''
from mms_pickReels(nolock) as pr
--from (SELECT A.ID,A.billNO,A.RowID,A.materialCode,(CASE when b.box_number is not null then b.serial_number else A.ReelBarcode end ) ReelBarcode,A.CreateUser,A.CreateTime,A.num
--,A.isSplit
 --FROM mms_pickReels(nolock) A 
-- LEFT JOIN mms_box_items (nolock) B  ON A.ReelBarcode=B.box_number) as pr
 join mms_pick(nolock) as p on pr.BillNo = p.BillNo  
 join mms_reels(nolock) as r on pr.ReelBarcode = r.reel_barcode
 join mms_pickDetail(nolock) as pd  on pr.BillNo=pd.BillNo and pr.RowId = pd.Rowid
where (pr.ReelBarcode !=null or pr.ReelBarcode != '')
union all
--IQC--

select
	rr.reel_barcode as 'reel_barcode',
	iod.BillNo  as 'billNo',
    type ='IQC',
	rr.Qty as 'quantity',
	iod.CreateDate   as 'create_time',
	r.MATERIAL_NO as 'material_no',
	r.SPECIFICATION as'speification',
	r.DESCRIPTION as'descripton',
	r.DATECODE as 'datecode',
	r.LOT_NO as 'lot_no',
	iod.CreatePerson as 'create_user',
	mr.warehousecode as 'warehouse',
    remark=''
from mms_IQC_Orico_Detail(nolock) iod 
join mms_receiveReels(nolock) rr on iod.Receive_BillNo =rr.BillNo and iod.RowId=rr.RowId 
 join mms_reels(nolock) as r on rr.reel_barcode = r.reel_barcode
 join mms_receive(nolock) mr on iod.Receive_BillNo =mr.BillNo 
 join mms_IQC_Orico_Master(nolock) iom on iom.BillNo =iod.BillNo 






GO


